#include <iostream>
#include <ranges>
#include <string_view>

using namespace std::literals;

int main(){
	// bounded overload
	for (auto s: std::views::repeat("C++"sv, 3)){
		std::cout << s << ' ';
	}
	std::cout << '\n';
	// unbounded overload
	for (auto s : std::views::repeat("I know that you know that"sv)
			| std::views::take(3)){
		std::cout << s << ' ';
	}
	std::cout << "...\n";
	return 0;
}
